Subject: RE: Problems upgrading from 2.95.3-5 to 3.X on cygwin
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: "Mack Lobell" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Sat, 2 Feb 2002 06:57:13 +0800

Mack,

A couple of things to try:

Unpack the gcc source tree using cygwin tar and gzip/bzip2.  Some windows utilities are "smart" enough to convert \n to \r\n

Try using binary mounts for the source and build trees.

Use the configure options I posted earlier. 

-----Original Message-----
From: Neil Booth [mailto:[email-masked]]
Sent: Saturday, 2 February 2002 9:05 
To: Mack Lobell
Cc: [email-masked]; [email-masked]
Subject: Re: Problems upgrading from 2.95.3-5 to 3.X on cygwin

I suggest you remove all '\r' characters from i386.md, so that the
newlines consist of '\n' only.  That will likely solve your problem.

You needn't bother with insn-flags.h; that looks to be only a warning
and once you get stage1 built of 3.0, it won't have problems with
'\r' (but the .md file still might; I'm not sure about that).

Neil.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/